import { csv, select } from 'd3';
import { scatterPlot } from './scatterPlot';

const csvUrl =
  'https://gist.githubusercontent.com/arun-thotakuri/4cfeeb36976ec98561685576680c3465/raw/53f69fd625f98e8f596985f466cd72150d200681/diabates.csv';
const parseRow = (d) => {
  d.Pregnancies = +d.Pregnancies;
  d.Glucose = +d.Glucose;
  d.BloodPressure = +d.BloodPressure;
  d.SkinThickness = +d.SkinThickness;
  return d;
};

const width = window.innerWidth;
const height = window.innerHeight;
const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height);

const main = async () => {
  svg.call(
    scatterPlot()
      .width(width)
      .height(height)
      .data(await csv(csvUrl, parseRow))
      .xValue((d) => d.Pregnancies)
      .yValue((d) => d.Glucose)
      .symbolValue((d) => d.SkinThickness)
      .margin({
        top: 20,
        right: 20,
        bottom: 40,
        left: 50,
      })
      .size(100),
  );
};
main();
